Loading...
Searching...
No Matches
rostlab_stdlib.h File Reference
`#include <errno.h>`
`#include <stdexcept>`
`#include <stdarg.h>`
`#include <stdlib.h>`
`#include <string>`
`#include <sstream>`
`#include <string.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include <unistd.h>`
`#include <vector>`
Include dependency graph for rostlab_stdlib.h:

Go to the source code of this file.

## Namespaces

namespace | rostlab

## Typedefs

typedef std::vector< std::string > | rostlab::argvec_type

## Functions

argvec_type | rostlab::mkargvec (const char *__path,...)
bool | rostlab::file_exists (const std::string &__path)
int | rostlab::system (const char *__path,...)
int | rostlab::system (const std::vector< std::string > &__args)
std::string | rostlab::tolower (std::string __str)